org.eclipse.gef.tools

## Class DirectEditManager.DirectEditBorder

- java.lang.Object
- - org.eclipse.draw2d.AbstractBorder
  - - org.eclipse.gef.tools.DirectEditManager.DirectEditBorder

All Implemented Interfaces:
  Border

Enclosing class:
  DirectEditManager

    protected static class DirectEditManager.DirectEditBorder
    extends AbstractBorder

The border used to 'frame' the cell editor.

Since:
  3.9

### Field Summary

### Fields inherited from class org.eclipse.draw2d.AbstractBorder

`tempRect`

### Constructor Summary

Constructors
`protected` `DirectEditManager.DirectEditBorder()`

### Method Summary

Methods
`Insets` `getInsets(IFigure figure)`
`void` `paint(IFigure figure, Graphics graphics, Insets insets)`

### Methods inherited from class org.eclipse.draw2d.AbstractBorder

`getPaintRectangle, getPreferredSize, isOpaque`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DirectEditManager.DirectEditBorder

    protected DirectEditManager.DirectEditBorder()

### Method Detail

#### getInsets

    public Insets getInsets(IFigure figure)

#### paint

    public void paint(IFigure figure,
             Graphics graphics,
             Insets insets)